curl --request POST \
--url https://api.kelviq.com/api/v1/license/activate/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"licenseKey": "LIC-A8D5F89E-B46B-472C-9BED-66EE2545B85E",
"customerId": "cfa95cf8c8d24e8b9d3d2d1ada98a94d",
"instanceName": "Geo's Workstation",
"metadata": {
"os": "macOS",
"version": "14.2"
}
}
EOF{
"instanceId": "8f3e2b1a-5c6d-4e9f-8a0b-1c2d3e4f5g6h",
"activatedAt": "2026-01-27T10:33:00Z",
"expiresOn": "2026-01-28T10:33:00Z",
"license": {
"id": "7be7a5b6-7a0e-4178-a085-8ef48f0649ab",
"licenseKey": "LIC-A8D5F89E-B46B-472C-9BED-66EE2545B85E",
"activatedOn": "2026-01-22T03:26:56Z",
"expiresOn": "2026-01-23T03:26:56Z",
"activationUsage": 1,
"activationLimit": 4,
"enabled": true,
"customer": {
"customerId": "cfa95cf8c8d24e8b9d3d2d1ada98a94d",
"name": "Geo",
"email": "geo@kelviq.com"
},
"plan": {
"identifier": "pro-yearly",
"name": "Pro Yearly",
"product": {
"id": "d970ab2d-834f-4c52-8742-2e6ed7e8a31f",
"identifier": "kelviq-engine",
"name": "Kelviq Engine",
"taxCode": "software"
}
}
}
}Activates a license key for a specific instance.
curl --request POST \
--url https://api.kelviq.com/api/v1/license/activate/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"licenseKey": "LIC-A8D5F89E-B46B-472C-9BED-66EE2545B85E",
"customerId": "cfa95cf8c8d24e8b9d3d2d1ada98a94d",
"instanceName": "Geo's Workstation",
"metadata": {
"os": "macOS",
"version": "14.2"
}
}
EOF{
"instanceId": "8f3e2b1a-5c6d-4e9f-8a0b-1c2d3e4f5g6h",
"activatedAt": "2026-01-27T10:33:00Z",
"expiresOn": "2026-01-28T10:33:00Z",
"license": {
"id": "7be7a5b6-7a0e-4178-a085-8ef48f0649ab",
"licenseKey": "LIC-A8D5F89E-B46B-472C-9BED-66EE2545B85E",
"activatedOn": "2026-01-22T03:26:56Z",
"expiresOn": "2026-01-23T03:26:56Z",
"activationUsage": 1,
"activationLimit": 4,
"enabled": true,
"customer": {
"customerId": "cfa95cf8c8d24e8b9d3d2d1ada98a94d",
"name": "Geo",
"email": "geo@kelviq.com"
},
"plan": {
"identifier": "pro-yearly",
"name": "Pro Yearly",
"product": {
"id": "d970ab2d-834f-4c52-8742-2e6ed7e8a31f",
"identifier": "kelviq-engine",
"name": "Kelviq Engine",
"taxCode": "software"
}
}
}
}The Server API Key obtained from the kelviq application. Pass as a Bearer token in the Authorization header. Example: 'Authorization: Bearer YOUR_API_KEY'